Version française
Home     About     Download     Resources     Contact us    

This site is updated infrequently. For up-to-date information, please visit the new OCaml website at

Browse thread
Metaocaml for 3.10
[ Home ] [ Index: by date | by threads ]
[ Search: ]

[ Message by date: previous | next ] [ Message in thread: previous | next ] [ Thread: previous | next ]
Date: -- (:)
From: tmp123@m...
Subject: Metaocaml for 3.10

I'm working in a project with several executables. For one of them, I 
need the "gprint" feature existing in for Metaocaml

Thus, I've tried to compile with Metaocaml 3.9 (latest?) this source, 
together with some sources common to all project. The problem seems that 
camlp4r of Metaocaml rejects the sources, giving syntax errors. It seems 
syntax have changed from 3.9 to 3.10 (by example, "()" instead of "do {}").

Please, knowns someone if exist metacaml for 3.10, or any other 

Thanks a lot.